com.google.cloud.dataflow.sdk.options

## Class GcpOptions.CredentialDirFactory

- java.lang.Object
- - com.google.cloud.dataflow.sdk.options.GcpOptions.CredentialDirFactory

All Implemented Interfaces:
  DefaultValueFactory<String>

Enclosing interface:
  GcpOptions

    public static class GcpOptions.CredentialDirFactory
    extends Object
    implements DefaultValueFactory<String>

Returns the default credential directory of ${user.home}/.store/data-flow.

### Constructor Summary

Constructors
Constructor and Description
`CredentialDirFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `create(PipelineOptions options)` Creates a default value for a getter marked with `Default.InstanceFactory`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CredentialDirFactory

    public CredentialDirFactory()

### Method Detail

#### create

    public String create(PipelineOptions options)

Description copied from interface: `DefaultValueFactory`
Creates a default value for a getter marked with `Default.InstanceFactory`.

Specified by:
  `create` in interface `DefaultValueFactory<String>`
Parameters:
  `options` - The current pipeline options.
Returns:
  The default value to be used for the annotated getter.